local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.Enchanting(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Enchanting")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)


-- Introduction

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Introduction:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Enchanting is one of the most profitable professions in game. We often see mass sales when it comes to Enchanting and as such there is lots of gold that can be made from this profession. We are going to dive into this profession and see how we can reduce cost of enchants while also increasing a yield of gold making us goblins richer.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Material Sourcing


  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Material Sourcing:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Materials for Enchanting are typically sold for high prices, this causes people to look at this profession and think that you cannot make a profit on this. However, the sourcing process for enchanting materials can be done quite easily either by utilising Tailoring, Blacksmithing and Leatherworking.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("On day to day basis sourcing Enchanting materials would be harder than not if you farmed them in the open world. Though we can bypass this by crafting profession based bracer's. Bracers tend to cost the least in regards to material cost and as such this is why it is a very popular method on sourcing our materials through this. First of all you would want to see which of the Bracers cost the least to craft, this is because we want to reduce cost to increase our profits.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Now lets say that Tailoring Bracers came out as the cheapest to craft. Knowing this we can craft a batch of bracer's and disenchant them into the expansion specific Enchanting materials. For instance if we crafted Shadowlace Bracers we could then disenchant them for the Shadowlands Enchanting materials which then we could use in our Enchanting.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Though this does take some time to craft and disenchant, this method alone can become quite profitable if done. However, a test batch of ten or more would be a good idea just to make sure you are pulling a profit from this. We then can use these materials in our crafts at a reduced cost to increase our profits.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  

-- Enchants

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Enchants:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("After Sourcing our materials we would want to look at profitable crafts to increase our gold return. Enchants are a good way in doing this as they tend to sell fast and also have good returns if materials are sourced through the method above. Enchants anyone just getting started with Enchanting should go with the current expansion Enchants. This is because these ones are in the most demand meaning your sell rate for these would be higher than any other expansion. With that we would want to look for which ones are most in demand. A common trend is damage increasing enchants sell fast than the other so it might be wise to start there.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("However, you would just want to start off with crafting any that is profitable and source your materials accordingly. By doing this, it will give you insights into what sell best on your server and in most cases different enchants sell better on other servers. Once this knowledge is obtained through reviewing your sales for at least a week then you can make adjustments to how much you should produce each week of each enchant. This is something that is subject to change so it is wise to get into the habit of reviewing your mailbox each week to look for trends and faster sellers with good gold returns.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Boes

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Boe's:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("boe's with enchanting is a good way to make gold, this is because with reduced matreial costs from sourcing we can reduce the overall cost of producing these boe's. However, you would need to bare in mind that typically the best sellers are Current Expansion boe's and should be your main priority if you wish to get into this market. There userally is not that many boe's that can be crafted with Enchanting per expansion and as such you would want to be batching these each week. The meaning is not to win overall insane volume such as Enchants but a steady stream of boe's will bring you in the gold you need as if there is not a huge varitiy in that boe space then over crafting these will bring the price down you will end up loosing gold overall, so as the old addage goes “Slow and Steady Wins The Race” in regards to boe's.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  -- Shatters
  
    local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Shatters:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Shattering is a process in enchanting where you take one item from enchanting, typically a shard and destroying that shard for the dust. This is quite widely done to make quick gold but also can be done as steady stream of gold with old expansions. This is done by searching for the expansion specific shard, say for instance leylight shards from Legion. Then we are to shatter these shards for the Legion dust to sell on for a profit. Though you will need to check how much one shatter cost before doing this practise. This can also be another form of material sourcing and is a good way to increase gold by doing this on a daily basis and materials will tend to sell faster the closer the material is to the current expansion.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)












































end